---
sidebar_position: 10
description: Get file description and other functions to work with Google Drive in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Google Drive]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get file description
 Gets a blank description template for uploading a file



`Function GetFileDescription(Val Clear = False) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Clear | --empty | Boolean | &#x2716; | True > structure with empty valuse, False > field descriptions at values |

  
  Returns:  Map Of KeyAndValue - File description



```bsl title="1C:Enterprise/OneScript code example"
    Result = OPI_GoogleDrive.GetFileDescription();
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint gdrive GetFileDescription \
             --empty false
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint gdrive GetFileDescription ^
             --empty false
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "MIME": "image/jpeg",
 "Name": "New file.jpg",
 "Description": "This is a new file",
 "Parent": "root"
}
```
